OTBCLI_KMEANSCLASSIFICATION(1)

NAME
otbcli_KMeansClassification - OTB KMeansClassification application

DESCRIPTION
This is the KMeansClassification application, version 5.2.0 Unsupervised KMeans image classification

Complete documentation: http://www.orfeo-toolbox.org/Applications/KMeansClassification.html

  Parameters:

-progress <boolean>
    Report progress

 -in <string> Input Image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-vm <string> Validity Mask (optional, off by default)

-ts <int32> Training set size (optional, on by default, default value is 100)

-nc <int32> Number of classes (mandatory, default value is 5)

-maxit
    <int32> Maximum number of iterations (optional, on by default, default value is 1000)

-ct <float> Convergence threshold (optional, on by default, default value is 0.0001)

-outmeans <string>
    Centroid filename (optional, off by default)

-rand
    <int32> set user defined seed (optional, off by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_KMeansClassification -in QB_1_ortho.tif -ts 1000 -nc 5 -maxit 1000 -ct 0.0001 -out ClassificationFilterOutput.tif

SEE ALSO
The full documentation for otbcli_KMeansClassification is maintained as a Texinfo manual. If the info and otbcli_KMeansClassification programs are properly installed at your site, the command

    info otbcli_KMeansClassification

should give you access to the complete manual.